.NET

.NET

Reply
Active Contributor
naresh
Posts: 42
Registered: ‎05-20-2005
Message 1 of 5 (243 Views)

How to get Mtext,AcDbText values from selection set

243 Views, 4 Replies
06-26-2006 11:04 PM
Hello
How to get Mtext,AcDbText values from selection set by using C#.net I am getting the other entities but I am facing the problem while retrieving Mtext,AcDbText
Distinguished Contributor
Alexander Rivilis
Posts: 303
Registered: ‎09-26-2004
Message 2 of 5 (243 Views)

Re: How to get Mtext,AcDbText values from selection set

06-27-2006 01:27 AM in reply to: naresh
No problem. Iterate through selection set and select only MTEXT and TEXT. Or select MTEXT and TEXT with filter.
Active Contributor
naresh
Posts: 42
Registered: ‎05-20-2005
Message 3 of 5 (243 Views)

Re: How to get Mtext,AcDbText values from selection set

06-27-2006 01:36 AM in reply to: naresh
Hello Alexander Rivilis
I have done it
short[] filterType = {0, 8};
object[] filterData = {"MTEXT,TEXT,AcDbText,LINE,POLYLINE,LWPOLYLINE,CIRCLE","TerminationPoints"};

but I didnt get that concept of "short[] filterType = {0, 8};"
what is this here in VB its not necessary actually I hav done it by using some web help but what is that short[] and {0,8} this I couldnt understand
will please explain it
Distinguished Contributor
Alexander Rivilis
Posts: 303
Registered: ‎09-26-2004
Message 4 of 5 (243 Views)

Re: How to get Mtext,AcDbText values from selection set

06-27-2006 01:41 AM in reply to: naresh
0 - DXF code 0 - type of entity
8 - DXF code 8 - layer name
Active Contributor
naresh
Posts: 42
Registered: ‎05-20-2005
Message 5 of 5 (243 Views)

Re: How to get Mtext,AcDbText values from selection set

06-27-2006 01:47 AM in reply to: naresh
but both the things we r giving in filterData
like
object[] filterData = {"MTEXT,TEXT,AcDbText,LINE,POLYLINE,LWPOLYLINE,CIRCLE","TerminationPoints"};
here MTEXT is type and TerminationPoints is a layer
then
0 - type of entity
8 - layer name
what is this in filterType
I am new in C#.net
Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.